
ChiliProject - Bug # 819: RAILS_ENV is not properly set if running under thin

Status: Closed Priority: Normal
Author: Holger Just Category: Libraries
Created: 2012-01-05 Assignee: Holger Just
Updated: 2012-01-06 Due date:
Remote issue URL:
Affected version: 2.6.0
Description: With the @config.ru@ introduced in #789 thin starts Chili as a Rack app and consequently only sets 

@RACK_ENV@ instead of @RAILS_ENV@. This leads to ChiliProject starting in the default development 
mode.

Associated revisions
2010-08-04 03:17 am - Eric Davis
Added css classes to the HTML body based on the theme, controller, and action. #819

git-svn-id: svn+ssh://rubyforge.org/var/svn/redmine/trunk@3911 e93f8b46-1217-0410-a6f0-8f06a7374b81

2012-01-06 12:56 am - Holger Just 
[#819] set RAILS_ENV if only RACK_ENV is provided

History
2012-01-06 12:07 am - Holger Just
- Status changed from Open to Closed

Fixed it in commit:4c0b195. Thanks to Ben Cooksley for finding the bug and helping me fix it.

Now thinking about whether this justifies a patch release or not. Any thoughts?
